Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.stringcut
Class StringCutData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.stringcut.StringCutData

All Implemented Interfaces:
  StepDataInterface

    public class StringCutData

extends BaseStepData
implements StepDataInterface

Since:
  30 September 2008
Author:
  Samatar Hassan

Field Summary
`int[]` | `cutFrom`
`int[]` | `cutTo`
`int` | `inputFieldsNr`
`int[]` | `inStreamNrs`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`String[]` | `outStreamNrs`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`StringCutData()` Default constructor.

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### inStreamNrs

    public int[] inStreamNrs

### outStreamNrs

    public String[] outStreamNrs

### cutFrom

    public int[] cutFrom

### cutTo

    public int[] cutTo

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### inputFieldsNr

    public int inputFieldsNr

Constructor Detail

### StringCutData

    public StringCutData()

  Default constructor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD